import { ICompletionResponse } from '@foundationui/react-hooks';
import { CEditor, CustomDescendant } from '../protocol';
import { SmartInputFetcher } from '../SmartInputFetcher';
export declare const EditorHelper: {
    isCompletionActive: (editor: CEditor) => boolean;
    isCursorAtEndOfDocument: (editor: CEditor) => boolean;
    acceptCompletion: (editor: CEditor, fetcher: SmartInputFetcher, completion: ICompletionResponse | null) => void;
    addInvisibleWhitespace: (editor: CEditor) => void;
    removeInvisibleWhitespace: (editor: CEditor) => void;
    addCompletion(editor: CEditor, fetcher: SmartInputFetcher, completion: ICompletionResponse, force?: boolean): void;
    removeCompletion(editor: CEditor): void;
    updateCompletion(editor: CEditor, newCompletion: string): void;
    serialize(nodes: CustomDescendant[]): string;
};
